<form nz-form [formGroup]='form' style='margin-bottom: 8px'>
  <div nz-row [nzGutter]='[30,30]'>
    <!--    Form tìm kiếm -->

    <!--Đơn vị-->
    <div nz-col [nzXs]='12' [nzLg]='6'>
      <org-data-picker
        mbLabelText="{{'personalTax.label.organization' | translate}}"
        formControlName='orgId'
        [functionCode]="functionCode"
        [scope]="scope"
      >
      </org-data-picker>
    </div>

    <!--Đối tượng-->
    <div nz-col [nzXs]='12' [nzLg]='6'>
      <mb-select-check-able
        [mbShowAction]="false"
        [mbKeyValueStringType]="true"
        mbPlaceholder="{{'personalTax.label.employeeType' | translate}}"
        [mbDataSelects]='listEmpTypeCode'
        (mbEventEmit)="setFormValue($event, 'listEmpTypeCode')"
        mbLabelText="{{'personalTax.label.employeeType' | translate}}"
        formControlName='listEmpTypeCode'></mb-select-check-able>
    </div>

    <!--Chức danh-->
    <div nz-col [nzXs]='12' [nzLg]='6'>
      <mb-select-check-able
        [mbShowAction]="false"
        [mbKeyValueStringType]="true"
        mbPlaceholder="{{'personalTax.label.positionName' | translate}}"
        [mbDataSelects]='listPosition'
        (mbEventEmit)="setFormValue($event, 'listPositionId')"
        mbLabelText="{{'personalTax.label.positionName' | translate}}"
        formControlName='listPositionId'></mb-select-check-able>
    </div>

    <!--Mã nhân viên-->
    <div nz-col [nzXs]='12' [nzLg]='6'>
      <mb-input-text formControlName='empInfo' [mbMaxLength]='200'
                     mbPlaceholderText="{{'personalTax.label.empInfo' | translate}}"
                     mbLabelText="{{'personalTax.label.empInfo' | translate}}"></mb-input-text>
    </div>

    <!--Trạng thái làm việc-->
    <div nz-col [nzXs]='12' [nzLg]='6'>
      <mb-select-check-able formControlName='listEmpStatus'
                 [mbKeyValueStringType]="true"
                 [mbShowAction]="false"
                 [mbDataSelects]='statusEmployeeList'
                 (mbEventEmit)="setFormValue($event, 'listEmpStatus')"
                 mbPlaceholder="{{'personalTax.label.statusEmployee' | translate }}"
                 mbLabelText="{{'personalTax.label.statusEmployee' | translate}}"></mb-select-check-able>
    </div>

    <!--Trạng thái đăng ký-->
    <div nz-col [nzXs]='12' [nzLg]='6' *ngIf='isShowRegisterStatus'>
      <mb-select-check-able formControlName='listStatus'
                            [mbShowAction]="false"
                            [mbKeyValueStringType]="true"
                            [mbDataSelects]='statusRegisterList'
                            (mbEventEmit)="setFormValue($event, 'listStatus')"
                            mbPlaceholder="{{'personalTax.label.statusRegister' | translate }}"
                            mbLabelText="{{'personalTax.label.statusRegister' | translate}}"></mb-select-check-able>
    </div>

    <!--Ngày đăng ký từ-->
    <div nz-col [nzXs]='12' [nzLg]='6'>
      <mb-date-picker
        formControlName="fromDate"
        mbLabelText="{{'personalTax.label.fromDate' | translate}}"
        mbPlaceholderText="{{'personalTax.label.fromDate' | translate}}"
      ></mb-date-picker>
    </div>

    <!--Ngày đăng ký đến-->
    <div nz-col [nzXs]='12' [nzLg]='6'>
      <mb-date-picker
        formControlName="toDate"
        mbLabelText="{{'personalTax.label.toDate' | translate}}"
        mbPlaceholderText="{{'personalTax.label.toDate' | translate}}"
      ></mb-date-picker>
    </div>

    <!-- Loại đăng ký -->
    <div nz-col [nzXs]='12' [nzLg]='6' *ngIf='isShowRegisterType'>
      <mb-select-check-able formControlName='listRegType'
                            [mbShowAction]="false"
                            [mbKeyValueStringType]="true"
                            [mbDataSelects]='registerTypeList'
                            (mbEventEmit)="setFormValue($event, 'listRegType')"
                            mbPlaceholder="{{'personalTax.label.registerType' | translate }}"
                            mbLabelText="{{'personalTax.label.registerType' | translate}}"></mb-select-check-able>
    </div>

    <!--MST NPT-->
    <div nz-col [nzXs]='12' [nzLg]='6' *ngIf='isShowRegisterType'>
      <mb-input-text formControlName='dependentTaxNo' [mbMaxLength]='200'
                     mbPlaceholderText="{{'personalTax.dependentRegisters.taxNo' | translate}}"
                     mbLabelText="{{'personalTax.dependentRegisters.taxNo' | translate}}"></mb-input-text>
    </div>

    <!--Mã NPT-->
    <div nz-col [nzXs]='12' [nzLg]='6' *ngIf='isShowRegisterType'>
      <mb-input-text formControlName='dependentPersonCode' [mbMaxLength]='200'
                     mbPlaceholderText="{{'personalTax.dependentRegisters.dependentCode' | translate}}"
                     mbLabelText="{{'personalTax.dependentRegisters.dependentCode' | translate}}"></mb-input-text>
    </div>

    <!--Năm quyết toán, nhận chứng từ-->
    <div nz-col [nzXs]='12' [nzLg]='6' *ngIf='isShowYear'>
      <mb-date-picker
        formControlName="year"
        mbMode="year"
        [mbFormat]="'yyyy'"
        mbLabelText="{{'personalTax.declarationRegisters.yearRegister' | translate}}"
        mbPlaceholderText="{{'personalTax.declarationRegisters.yearRegister' | translate}}"
      ></mb-date-picker>
    </div>

    <!--Trạng thái đăng ký cung cấp thông tin-->
    <div nz-col [nzXs]='12' [nzLg]='6' *ngIf='isShowConfirmStatus'>
      <mb-select-check-able formControlName='listStatus'
                            [mbShowAction]="false"
                            [mbKeyValueStringType]="true"
                            [mbDataSelects]='confirmStatusList'
                            (mbEventEmit)="setFormValue($event, 'listStatus')"
                            mbPlaceholder="{{'personalTax.label.statusRegister' | translate }}"
                            mbLabelText="{{'personalTax.label.statusRegister' | translate}}"></mb-select-check-able>
    </div>

    <!--Trạng thái đăng ký cung cấp thông tin-->
    <div nz-col [nzXs]='12' [nzLg]='6' *ngIf='isShowConfirmStatus'>
      <mb-select-check-able formControlName='listAccepted'
                            [mbKeyValueStringType]="true"
                            [mbShowAction]="false"
                            [mbDataSelects]='registerInfoList'
                            (mbEventEmit)="setFormValue($event, 'listAccepted')"
                            mbPlaceholder="{{'personalTax.label.registerInfo' | translate }}"
                            mbLabelText="{{'personalTax.label.registerInfo' | translate}}"></mb-select-check-able>
    </div>

    <!--    End Form tìm kiếm-->
  </div>
  <div nz-row [nzGutter]='[30,30]'>
    <div nz-col [nzXs]='24' [nzLg]='24'>
      <ng-content select='.btn'></ng-content>
    </div>
  </div>
</form>
